Package uk.co.mccombe.mapping

# Class ENPair

java.lang.Object
uk.co.mccombe.mapping.ENPair

public class ENPair extends Object
An ENPair represents a 2-dimensional coordinate pair used to define position on a map in terms of "easting" and "northing" distances.

## Constructor Summary

Constructors
Constructor
Description
`ENPair()`
Creates a new instance of ENPair
`ENPair(double east, double north)`
Create an ENPair from two double values

## Method Summary

Modifier and Type
Method
Description
`double`
`east()`
Access the Easting distance
`double`
`north()`
Access the Northing distance
`String`
`toString()`
Provide a String representation of the ENPair

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ENPair

public ENPair()
Creates a new instance of ENPair

### ENPair

public ENPair(double east, double north)
Create an ENPair from two double values

Parameters:
  `east` - Easting distance (m)
  `north` - Northing distance (m)

## Method Details

### toString

public String toString()
Provide a String representation of the ENPair

Overrides:
  `toString` in class `Object`
Returns:
  A String showing Easting and Northing distances

### east

public double east()
Access the Easting distance

Returns:
  the Easting distance(m)

### north

public double north()
Access the Northing distance

Returns:
  the Northing distance (m)